apiVersion: v1
kind: Service
metadata:
  name: {{ include "nzbget.fullname" . }}
  labels:
    {{- include "nzbget.labels" . | nindent 4 }}
    k8s-app: nzbget-exporter
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.service.port }}
      targetPort: {{ .Values.service.port }}
      protocol: TCP
      name: http
    - port: 9452
      targetPort: 9452
      protocol: TCP
      name: nzbget-exporter
  selector:
    {{- include "nzbget.selectorLabels" . | nindent 4 }}
